com.digi.xbee.api.io

## Enum IOValue

- java.lang.Object
- - java.lang.Enum<IOValue>
  - - com.digi.xbee.api.io.IOValue

- All Implemented Interfaces:
    Serializable, Comparable<IOValue>

      public enum IOValue
      extends Enum<IOValue>

  Enumerates the possible values of a `IOLine` configured as digital I/O.
  See Also:
    `IOLine`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH`
    `LOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getID()` Returns the ID of the IO value.
    `static IOValue` | `getIOValue(int valueID)` Returns the `IOValue` associated to the provided value ID.
    `String` | `getName()` Returns the name of the IO value.
    `String` | `toString()`
    `static IOValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IOValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGH

          public static final IOValue HIGH

    - #### LOW

          public static final IOValue LOW

  - ### Method Detail

    - #### getID

          public int getID()

      Returns the ID of the IO value.
      Returns:
        The ID of the IO value.

    - #### getIOValue

          public static IOValue getIOValue(int valueID)

      Returns the `IOValue` associated to the provided value ID.
      Parameters:
        `valueID` - The ID of the `IOValue` to retrieve.
      Returns:
        The `IOValue` associated to the provided value ID.

    - #### getName

          public String getName()

      Returns the name of the IO value.
      Returns:
        The name of the IO value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IOValue>`

    - #### valueOf

          public static IOValue valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static IOValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOValue c : IOValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.